// AboutKatalitDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AboutKatalitDlg.h"
#include "resource.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutKatalitDlg dialog


CAboutKatalitDlg::CAboutKatalitDlg(CaplAPI *api, CWnd* pParent /*=NULL*/)
	: CAboutDlg(api, CAboutKatalitDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAboutKatalitDlg)
	//}}AFX_DATA_INIT
}


void CAboutKatalitDlg::DoDataExchange(CDataExchange* pDX)
{
	CAboutDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutKatalitDlg)
	DDX_Control(pDX, IDC_WWW_KATALIT_RU, m_www_katalit_ref);
	DDX_Control(pDX, IDC_INFO_KATALIT_RU, m_info_katalit_ref);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutKatalitDlg, CAboutDlg)
	//{{AFX_MSG_MAP(CAboutKatalitDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutKatalitDlg message handlers

BOOL CAboutKatalitDlg::OnInitDialog() 
{
	m_bmp.LoadBitmap(IDB_KATALIT_LOGO);

	CAboutDlg::OnInitDialog();
	
	m_info_katalit_ref.SetURL(_T("mailto:info@katalit.ru"));
	m_www_katalit_ref.SetURL(_T("http://www.katalit.ru"));

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
